$colors: (
  black: black,
  dark: #686868,
  silver: #bdbdbd,
  lightBlack: #efefef,
  blue: #00529b,
  red: #dc0000,
  redDark: #c80000,
  white: white,
);

@import "compoments/headline";
@import "compoments/header";
@import "compoments/search";
@import "compoments/footer";
@import "compoments/slider";
@import "compoments/reference";
@import "compoments/articles";
@import "compoments/article-detail";
@import "compoments/photogalery";
@import "compoments/contact";
@import "compoments/catalog";
@import "compoments/product-detail";
@import "compoments/product";
@import "compoments/client";
@import "compoments/new";
@import "compoments/contentdetail";
@import "compoments/adv";
@import "compoments/shop-nav";
//@import "compoments/service-columns";

body {
    font-family: 'Poppins', sans-serif;
    background-color: map-get($colors, white);
    color: map-get($colors, dark);
    min-height: 100vh;
    font-size: 18px;
    input{
        font-family: 'Poppins', sans-serif;

    }
    a,input[type="submit"]{
        cursor: pointer;
    }
    .btn{
        background-color: map-get($colors, red);
        border-radius: 8px;
        color: map-get($colors, white);
        font-size: 14px;
        text-decoration: none;
        white-space: nowrap;
        transition: all .3s;
        &:hover{
            background-color: map-get($colors, redDark);
            text-shadow: 1px 1px rgba(0,0,0,.3);
            -webkit-box-shadow: 0px 17px 15px -7px rgba(220,0,0,0.17);
            -moz-box-shadow: 0px 17px 15px -7px rgba(220,0,0,0.17);
            box-shadow: 0px 17px 15px -7px rgba(220,0,0,0.17);
        }
    }
    strong,b{
        color: map-get($colors, black);
    }
    h1,h2,h3,h4{
        line-height: 34px;
        font-size: 30px;
        color: map-get($colors, black);
    }
    ul{
        margin-block-start: 20px;
        margin-block-end: 20px;
        margin-inline-start: 0px;
        margin-inline-end: 0px;
        padding-inline-start: 20px;
    }
    ul.styles{
        padding-left: 20px;
        list-style: none;
        margin-block-start: 0px;
        margin-block-end: 0px;
        margin-inline-start: 0px;
        margin-inline-end: 0px;
        padding-inline-start: 0px;
        li{
            padding-left: 15px;
            position: relative;
            margin-bottom: 10px;
            line-height: 18px;
            &::before{
                content: "";
                display: block;
                width: 6px;
                height: 6px;
                background-color: map-get($colors, red);
                border-radius: 100%;
                position: absolute;
                left: 0px;
                top: 6px;
            }
        }
    }
    ul.default{
        padding: 0px;
        margin: 0px;
    }
    hr{
        border: none;
        border-bottom:1px solid map-get($colors, lightBlack);
    }
    .owl-product{
        .item:hover{
            border: none;
            -webkit-box-shadow: 0px 0px 20px 0px rgba(113,113,113,0.14);
            -moz-box-shadow: 0px 0px 20px 0px rgba(113,113,113,0.14);
            box-shadow: 0px 0px 20px 0px rgba(113,113,113,0.14);
        }
        .owl-item:nth-child(1){
            .item{
                border: none;
                -webkit-box-shadow: 0px 0px 20px 0px rgba(113,113,113,0.14);
                -moz-box-shadow: 0px 0px 20px 0px rgba(113,113,113,0.14);
                box-shadow: 0px 0px 20px 0px rgba(113,113,113,0.14);
            }
        }
        .owl-nav{
            @extend .owlnavs;
        }
    }
    .owl-client,.owl-related-products{
        .owl-nav{
            @extend .owlnavs;
        }
    }
    .owlnavs{
        div{
            font-size: 30px;
            margin-left: 10px;
            color: map-get($colors, black);
        }
        &:hover{
            div{
                opacity: .5;
                &:hover{
                    opacity: 1;
                }
            }
        }
    }

    .headPage{
        .categories{
            text-align: center;
            a{
                color: map-get($colors, blue);
                text-decoration: none;
                border-radius: 4px;
                &.active,&:hover{
                    background-color: map-get($colors, blue);
                    color: map-get($colors, white);
                }
                &.active{
                    font-weight: bold;
                }
            }
        }
    }
    .title{
        ol{
            li{
                color: map-get($colors, blue);
                display: inline-block;
                font-size: 13px;
                a{
                    color: map-get($colors, blue);
                    text-decoration: none;
                    &::after{
                        color: map-get($colors, dark);
                        content: "\e903";
                        font-family: 'iconpack';
                        font-size: 10px;
                    }
                }
            }
        }
        &.center{
            text-align: center;
        }
    }

    .darkBg{
        background-color: map-get($colors, lightBlack);
    }
}
